Bug 17049 - Improve PERL5LIB handling for packaged dev install (follow-up for 16733)
Summary: Improve PERL5LIB handling for packaged dev install (follow-up for 16733)
Status: CLOSED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 16733
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-04 13:17 UTC by Marcel de Rooy
Modified: 2017-02-09 12:09 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17049: Improve PERL5LIB handling for packaged dev install (1.88 KB, patch)
2016-08-09 14:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17049: Improve PERL5LIB handling for packaged dev install (1.88 KB, patch)
2016-08-09 14:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-08-04 13:17:56 UTC

    
Comment 1 Marcel de Rooy 2016-08-09 14:07:54 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2016-08-09 14:11:22 UTC
Created attachment 54206 [details] [review]
Bug 17049: Improve PERL5LIB handling for packaged dev install

This is a small follow-up for report 16733.
If you would have multiple paths in PERL5LIB from /etc/defaults,
adjust_paths_dev_install would agressively replace them for dev
installs.
This patch makes it remove usr/share/koha/lib only and add the
new dev install path.

Test plan:
[1] Apply the patches for 16733 and 17049.
[2] Add a <dev_install>/just/a/path</dev_install> to koha-conf.xml.
[3] Source the adjusted koha-functions.sh within your master clone:
    . debian/scripts/koha-functions.sh
[4] Enter unset PERL5LIB; adjust_paths_dev_install [your-clone]
[5] Check the result with echo $PERL5LIB. Should be /just/a/path.
[6] Try PERL5LIB=/usr/share/koha/lib
    Run adjust_paths_dev_install [your-clone]
    Check the result with echo $PERL5LIB. Should be /just/a/path.
[7] Similarly, try /a:/usr/share/koha/lib
    Expect: /just/a/path:/a
    And /a:/usr/share/koha/lib:/b. Expect: /just/a/path:/a:/b
Comment 3 Marcel de Rooy 2017-02-09 12:09:14 UTC
Closed in favor of bug 16749